Skip to content

Promotion Offline Notification

Request

Event ID: 7001

This webhook is sent by Keeta to notify the third-party system when an existing promotion is taken offline.

Notes:

  • Product price changes, product removals, or promotion conflicts and overrides may cause an existing promotion to be taken offline.
  • The vendorId field identifies the vendor associated with the offline promotion.
  • The detail field contains SKU-level promotion offline details.
Bodyapplication/jsonrequired
vendorIdstringrequired

Unique identifier of the vendor associated with the offline promotion.

Example:"id_12345"
detailArray of objects, non-empty(PromotionOfflineDetail)required

SKU-level details for promotions that were taken offline.

POST
/promotion/offline/notification
curl -i -X POST \
  'https://{domain_of_the_software_service}/api/open/grocery/promotion/offline/notification' \
  -H 'Content-Type: application/json' \
  -d '{
        "vendorId": "id_12345",
        "detail": [
          {
            "skuId": "sku1",
            "discountValue": 10,
            "originalPrice": 15,
            "offlineTime": "2022-02-07T16:03:06Z",
            "offlineReason": "The item has been removed."
          }
        ]
      }'

Responses

Request executed successfully. No content is returned.

Response
No content